xapian-core 1.4.26

Public Member Functions | List of all members
Xapian::StemImplementation Class Referenceabstract

Class representing a stemming algorithm implementation. More...

`#include <stem.h>`

Inheritance diagram for Xapian::StemImplementation:
[legend]

## Public Member Functions
| StemImplementation ()
| Default constructor.
virtual | ~StemImplementation ()
| Virtual destructor.
virtual std::string | operator() (const std::string &word)=0
| Stem the specified word.
virtual std::string | get_description () const =0
| Return a string describing this object.

## Detailed Description

Class representing a stemming algorithm implementation.

The documentation for this class was generated from the following file:

- xapian/stem.h